Skip to main content
Share Your Experience: Take the 2024 Developer Survey

Questions tagged [installation]

Related to installing Bitcoin-related software and hardware in a given system or machine.

Filter by
Sorted by
Tagged with
1 vote
1 answer
39 views

User change for bitcoin core installation

I made a mistake and installed bitcoin core under the main system user “dog” in Linux (Debian). Now I am scratching my head thinking what I should do to change the user to “coindog” which would not be ...
serge's user avatar
  • 31
2 votes
3 answers
90 views

How should I install Core Lightning if my VPS won't let me use pip install?

I tried to install Core Lightning on a Ubuntu Digital Ocean droplet using these installation instructions and it won't let me pip install anything giving me an error externally-managed-environment. ...
Michael Folkson's user avatar
1 vote
1 answer
117 views

Which binaries do I need to compile from Bitcoin Core's code for running my non-routing node as an end user?

I need Bitcoin Core only for running my non-routing core-lightning node (private channels only) as an end user (not as a developer)? The lightning node is to be run on the same machine as bitcoin core....
John Smith's user avatar
0 votes
0 answers
74 views

Verify your download

Why does Bitcoin core wallet bitcoin-26.0-win64-setup file does not match the signatures of the SHA256 binary hashes or SHA256 hash signatures which i can download same side. I think i do it wrong, ...
Rob's user avatar
  • 1
1 vote
1 answer
72 views

The QT wallet does not start

The QT wallet does not start: ./bitcoin-qt в ubuntu 20.04? qt.qpa.plugin: Could not find the Qt platform plugin "offscreen" in "" ...
Александр Бородин's user avatar
1 vote
1 answer
35 views

How can I update lnd to 0.17 on Windows?

I am running lnd 0.16.2 on a Windows 10 system. I just downloaded v0.17. Can I just drop the new files lnd.exe and lncli.exe into my directory and run on the same install? Any tweaks needed?
ondawoad's user avatar
1 vote
0 answers
95 views

Is it safe to install Bitcoin Core using a package manager?

For example, on macOS: brew install --cask bitcoin-core Or on Ubuntu: snap install bitcoin-core Etc. In particular, what attack vectors might I be exposing myself to if I choose to install Bitcoin ...
Jonathan Wheeler's user avatar
1 vote
1 answer
143 views

lnd Command not found after installing from source

I want to run a lightning node. I already have bitcoin full node on a raspberry pi 4 external hard drive and I installed lnd on the hard drive like this: git clone https://github.com/lightningnetwork/...
Luca F's user avatar
  • 27
4 votes
3 answers
517 views

How to gpg verify my bitcoin core download step by step on ubuntu server?

I am a newbie when it comes to setting up a bitcoin node but I am trying to gpg verify my bitcoin core download the pub keys to do so are no longer available. I have tried doing my own research but I ...
DJ_Splash's user avatar
0 votes
0 answers
407 views

Bitcoin core download randomly stops

my goal is to set up a full bitcoin node. This is my third try, please help. Bitcoin core version: 24.0.1 Hardware spec: MacBook Pro late 2011 i5 4cpu, 4GB ram, 500GB HDD, Software: fully formatted ...
Blocknoob's user avatar
1 vote
3 answers
104 views

Getting "Flush: failed to commit file 1" errors after updating to macOS 13

I installed Bitcoin Core v22 on an external drive. It worked. After I updated to macOS 13, the wallet stopped running. I tried to reinstall and also tried v23. But it wouldn't do it. When loading ...
Basil237's user avatar
1 vote
1 answer
405 views

What specific packages are required to be installed in order to create legacy wallets?

When attempting to create a legacy wallet using bitcoin-cli, I get the following error: bitcoin-cli -named createwallet wallet_name="[...]" descriptors=false load_on_startup=true error code: ...
Gervais's user avatar
  • 11
3 votes
1 answer
2k views

How to install bitcoin-cli on MacOS?

I have installed bitcoin-core with Homebrew on my MacOS, but the only package installed is Bitcoin-Qt. How do I also install bitcoin-cli? (Just want to play with the commands for learning.)
noitseuq's user avatar
  • 133
2 votes
2 answers
477 views

Prevented from running Bitcoin Core on macOS

When I install and attempt to use Bitcoin Core I receive the following error: “Bitcoin Core” can’t be opened because Apple cannot check it for malicious software. This software needs to be updated. ...
Michael Shaleen's user avatar
1 vote
1 answer
64 views

When trying to run the make command I get the following error, I am working with M1 Machine for Mac

xxxxxxx@xxxx-MacBook-Pro bitcoin % make -j 1 Making all in src CXX bitcoind-bitcoind.o clang: warning: argument unused during compilation: '-fstack-clash-protection' [-Wunused-command-line-...
Ana S's user avatar
  • 11
1 vote
1 answer
36 views

When i try to install package on raspibitz I receive the annoying warnings regarding locale. What can i do to fix that problem?

When i try to install package on raspibitz I receive the annoying warnings regarding locale. ₿ sudo apt install apt-transport-https ...
Victor Pakhomov's user avatar
1 vote
2 answers
72 views

Error while installing libwally

I am trying to install libwally on my debian machine. I followed the installation guide but running ./configure I got the warning === configuring in src/secp256k1 (/home/standup/libwally-core/src/...
zerotobtc's user avatar
  • 323
0 votes
1 answer
38 views

Unable to `make` libbitcoin on Debian VPS

I'm trying to install the libbitcoin-rpc but I'm getting the following error when I try to install with make: gcc -fPIC -O3 -g -Wall -Werror -Wextra -std=c99 -D VERSION=\"0.2\" -o src/...
zerotobtc's user avatar
  • 323
0 votes
1 answer
94 views

"which bitcoind" outputs nothing

I installed bitcoind using Windows 10 WSL Ubuntu. I see the bitcoind.exe file in the src directory, but when I run "which bitcoind" I get no output.
Rony Tesler's user avatar
1 vote
2 answers
721 views

Upgrade bitcoin-core on Ubuntu

I have an installed and running full node (version 0.21.1) on a ubuntu machine. I saw the next version (22.0) is out so I looked at the official release notes to see how I had to upgrade. The only ...
Steerpike's user avatar
0 votes
0 answers
71 views

Verify everything is functioning in my full node

This is a newbie question, sorry. I recently bought Bitcoin and thought I would do something to support the system that I have invested money in. So I bought the hardware to run a full node. I just ...
Steerpike's user avatar
0 votes
0 answers
353 views

unable to install bitcoind (macOS, M1 chip)

I've been trying to install bitcoind on a new mac (Big Sur 11.4). I followed the instructions in doc/build-osx.md and installed all required dependencies, but when I try to run make, it gives me the ...
distracted_coder's user avatar
0 votes
1 answer
270 views

Which binaries are required to run a headless node?

There are plenty of guides on installing Bitcoin Core on Linux, and the most popular advice is to do this: install -m 0755 -o root -g root -t /usr/local/bin bitcoin-0.21.1/bin/* Here is an unarchived ...
Igor Bubelov's user avatar
0 votes
0 answers
395 views

fatal error using Win Bitcoin core to create node

It ran about 10 hours, loaded 70% of blockchain, now always this error in debug.log on restart 2021-06-21T14:11:58Z ERROR: ReadBlockFromDisk: Errors in block header at FlatFilePos(nFile=1801, nPos=...
Shiwu Stonehouse's user avatar
2 votes
1 answer
363 views

Can I interrupt the initial blockchain download without losing progress?

I just installed Bitcoin Core through brew on my mac. The blockchain is now downloading but it's slowing down, so I would like to restart it. Can I abort the process and restart it and will it pick up ...
Bitcoingraffiti's user avatar
0 votes
0 answers
33 views

How can I install Bitcoin Core without having a 350GB harddrive? [duplicate]

I would like to run Bitcoin Core on my laptop with approx 100 Gb of HDD available. From the installation instructions I understand that a full node must initially download the full approx. 350 Gb ...
bitcoinomnivore's user avatar
1 vote
3 answers
3k views

Security risks with running bitcoin core, and how to protect yourself

I'm new to bitcoin and want to help the network by running a full node. I plan to download bitcoin core from the bitcoin.org website, and run it on a spare laptop, by my concern is how do I protect my ...
IraqiHODL's user avatar
1 vote
1 answer
11k views

Depends: libgcc-s1 (>=3.0) but it is not installable (Bitcoind wallet dependency problem on Debian)

On Debian I successfully compiled .bitcoind without a wallet, but now I need the wallet. ./configure tells me I need Berkeley CXX headers. Searching for how to do this on Debian brings up a bunch of ...
Satoshi Woshi's user avatar
1 vote
2 answers
6k views

When I try to download Bitcoin Core on MacOS it says "Apple cannot check it for malicious software"? Is it safe to download?

Brand new Mac Mini, latest macOS Catalina (10.15.6 (19G2021)), followed instructions on bitcoin.org download page. Double click Bitcoin Core.app, and I get: “Bitcoin Core.app” can’t be opened ...
user3174133's user avatar
0 votes
1 answer
315 views

Bitcoin Core Re-install- Don't want to Overwrite Chain Previously Downloaded

I have a full Bitcoin chain that I downloaded using Bitcoin Core (v.0.18.0.0, from Ubuntu's launchpad bitcoin ppa). I've moved to another machine and installed the Snap linked from BitcoinCore.Org, ...
Diagon's user avatar
  • 115
1 vote
2 answers
2k views

Installation instrucion the for bitcoin core (tar.gz file from bitcoin.org in Linux/Ubuntu Desktop 18.04.)

There are many discussions going on as there is a lack of a simple tutorial as to how to install Bitcoin Core (GUI) on Linux distributions, i.e Ubuntu 18.04. Bitcoin.org offers the tar.gz file (i.e. ...
Greg's user avatar
  • 11
0 votes
0 answers
416 views

How Do I Fix This Error Without Loosing Stored Blocks On Pc?

I opened my Bitcoin Core program today on my Windows 7 PC via an external hard disk (1 TB) and I found the following error: MinGW Runtime Assertion Assertion Failed! Program: E:\Blockchain\bitcoin-qt....
Bit Coin's user avatar
0 votes
0 answers
27 views

I tried installing Bitcoin on a Ubuntu 18.4 server. The status of the Block is still in 0 even after two days of installation

I tried installing Bitcoin on a Ubuntu 18.4 server. After installing the Bitcoin core, I started Bitcoin-diamond. The status of the Block is still in 0 even after two days of installation. I want to ...
Trasher Travis's user avatar
3 votes
4 answers
13k views

How to install bitcoind (Bitcoin Core) on Ubuntu?

I want to install a command line-only full node bitcoind on a mini PC with 4GB RAM and Ubuntu. What are the steps to do it and how can I check if it works?
bomben's user avatar
  • 518
5 votes
1 answer
3k views

How do I securely update Bitcoin Core?

I am currently running a Bitcoin Core wallet 0.18.1. What do I need to do to update it to 0.19.0.1 version? Would be very grateful for instructions as I am relatively new to this.
Alex's user avatar
  • 51
1 vote
1 answer
118 views

Where can I find Armory 92.3 for download?

I am trying to use Windows XP and need Armory 92.3 to do it. Where can I download that version without compiling?
Davina's user avatar
  • 11
1 vote
0 answers
40 views

Can I delete /home/USER/bitcoin after successfully installing bitcoind?

I wonder if I can delete the git folder I cloned after I did the installation. Probably yes, right? Do people do this? Or is it more usefull to update the git after some time and then build bitcoind ...
bomben's user avatar
  • 518
0 votes
2 answers
934 views

Installation of Bitcoin Core 0.18.0 on Ubuntu 18.04.2 error

I used "sudo snap install bitcoin-core" and it appeared to install fine except I get the error: "Failed to launch 'Bitcoin Core' Desktop file didn't specify Exec Field." Did I do something wrong? ...
rghollenbeck's user avatar
0 votes
1 answer
349 views

Please tell me the procedure for installing bitcoin full node in CUI on CentOS

I am really sorry, please teach. Please tell me the procedure for installing bitcoin full node in CUI on CentOS. Currently I installed using the following procedure, but I got an error in RPC ...
user93369's user avatar
0 votes
1 answer
1k views

error: Authorization failed: Incorrect rpcuser or rpcpassword

After installing bitcoin on CentOS/AWS, an error occurs when connecting with cli. $ bitcoind -daemon -conf=/.bitcoin/bitcoin.conf Bitcoin server starting $ bitcoin-cli getbalance error: Authorization ...
kotora's user avatar
  • 1
2 votes
2 answers
715 views

How to complete install of bitcoin-0.17.1 on linux (fedora 29)

So I downloaded and unzipped bitcoin core. I now have bitcoin-0.17.1 sitting in my home directory . What next? How do I install and run this? (Obviously I am a newb, help much appreciated.)
Newb on Linux Fedora's user avatar
2 votes
2 answers
231 views

dyld: Library not loaded when running bitcoind on a mac

I'm having trouble running bitcoind on my Mac (Sierra). I previously had bitcoind installed, compiled from source, but had to remove it when I was running low on space. I recently installed Bitcoin ...
blueskies's user avatar
0 votes
1 answer
31 views

Bitcoin-qt is trying toload to C drive instead of my D drive [duplicate]

So I'm running a 250 GB SSHD for my windows boot drive and basic system functions. I am running a 1 TB standard HD for my larger files (like the bitcoin ledger). How do I prevent Bitcoin-qt from ...
SKC's user avatar
  • 1
1 vote
0 answers
107 views

Install Copay on Windows 7 64 bit desktop

I have windows 7 64 bit. I need more information. Step by step, please. I have reviewed the previous answers but do not understand: (New copay on Windows 7) 1) Exactly what to download from where ...
user90604's user avatar
1 vote
1 answer
632 views

How can I install Electrum on 32-bit Windows?

So on the Electrum site in the download section for Windows 7 Pro there is no reference to 32 or 64 bit? I need a desktop version in 32-bit?
qx1's user avatar
  • 11
0 votes
1 answer
47 views

Migrating from bitcoin core to bitcoind

I have installed bitcoin core in my ubuntu-14.04 which is working fine. Now I want to install bitcoind in the same Machine. Can I install bitcoind along with bitcoin core or I need to uninstall ...
Sumithran's user avatar
  • 103
2 votes
2 answers
614 views

Unable to install Bitcoin Core on my MacOS High Sierra

I'm trying to install Bitcoin Core (downloaded from bitcoin.org/en/download) on my MacOS High Sierra. But, I'm repeatedly getting the error The document "Bitcoin-Core" could not be opened. Finder ...
Suresh's user avatar
  • 131
1 vote
1 answer
91 views

git checkout v0.16.3 gives error

Trying to update my bitcoin core installation on raspberry pi with git checkout and it's giving the error "error: pathspec 'v0.16.3' did not match any file(s) known to git." Any recommendations?
Hugo's user avatar
  • 11
0 votes
1 answer
462 views

Does bitcoin 0.16.1 work with Windows Subsystem for Linux (WSL) Windows 10?

Does the bitcoin core for ubuntu work with windows 10 WSL (Windows Subsystem for Linux) command line? What issues are there if any since its install the ubuntu version under windows 10.
Patoshi パトシ's user avatar
-1 votes
1 answer
250 views

Offline Armory does not let me sign transaction, how do I upgrade?

I have an offline laptop that will not let me sign the transaction. I am running Armory 0.92.3 and Bitcoin Core 0.9.2.1. I know that I need to upgrade to a new computer. Any thoughts how and the ...
Lizzy's user avatar
  • 9